If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

try_parser.py should map mochitest-gl -> mochitest-gl-1 and mochitest-gl-2

RESOLVED FIXED

Status

Release Engineering
General
RESOLVED FIXED
3 years ago
4 months ago

People

(Reporter: philor, Assigned: gbrown)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

3 years ago
Like the http://mxr.mozilla.org/build/source/buildbotcustom/try_parser.py#24 way that "xpcshell" will produce every suite which startswith xpcshell, no matter how lame a platform is and how many chunks it has to run it in, mochitest-gl should pick up the android api 9 mochitest-gl-1 and mochitest-gl-2.
(Assignee)

Comment 1

3 years ago
This would have saved me from myself in https://treeherder.mozilla.org/#/jobs?repo=try&revision=824bbab8bec2
Assignee: nobody → gbrown
(Assignee)

Comment 2

3 years ago
Created attachment 8566873 [details] [diff] [review]
map mochitest-gl -> mochitest-gl*
Attachment #8566873 - Flags: review?(ryanvm)

Updated

3 years ago
Attachment #8566873 - Flags: review?(ryanvm) → review+
(Assignee)

Comment 3

3 years ago
https://hg.mozilla.org/build/buildbotcustom/rev/df52461b1501
(Assignee)

Comment 4

3 years ago
Verified in production: https://treeherder.mozilla.org/#/jobs?repo=try&revision=edf3e72a8539
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Component: Tools → General
Product: Release Engineering → Release Engineering
You need to log in before you can comment on or make changes to this bug.